%global pypi_name testpath

Name:           python-%{pypi_name}
Version:        0.3
Release:        1%{?dist}
Summary:        Test utilities for code working with files and commands

License:        MIT
URL:            https://github.com/jupyter/testpath

# There is no sdsit on PyPI, download from GitHub
Source0:        %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-pip
BuildRequires:  python2-devel

BuildRequires:  python3-pip
BuildRequires:  python3-devel

BuildRequires:  python3-flit

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

# Tests:
BuildRequires:  python2-pytest
BuildRequires:  python-pathlib
BuildRequires:  python3-pytest

%global _description \
Testpath is a collection of utilities for Python code working with files and \
commands. \
\
It contains functions to check things on the filesystem, and tools for \
mocking system commands and recording calls to those.

%description %_description

%package -n     python2-%{pypi_name}
Summary:        %summary
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}

%_description


%package -n     python3-%{pypi_name}
Summary:        %summary
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}

%_description

%package        doc
Summary:        %{name} documentation
%description doc
Documentation for %{name}.


%prep
%autosetup -n %{pypi_name}-%{version}

# The exe files are only needed on Microsoft Windows
rm -f %{pypi_name}/*.exe

%build
# this package has no setup.py
# and upstream does not want one
# https://github.com/takluyver/flit/issues/74
# we use flit to create a wheel from sources
flit wheel

# generate html docs
sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%install
# We install the wheel created at %%build
%py2_install_wheel %{pypi_name}-%{version}-py2.py3-none-any.whl 
%py3_install_wheel %{pypi_name}-%{version}-py2.py3-none-any.whl 



%check
%{__python2} -m pytest -v
%{__python3} -m pytest -v


%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}-%{version}.dist-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name}-doc
%doc html

%changelog
* Wed Mar 08 2017 Miro Hrončok <mhroncok@redhat.com> - 0.3-1
- initial package

